<?php
/**
 * Plugin Name: Mostrar productos y categorías separados
 * Plugin URI: 
 * Description: Muestra los productos y las categorías/subcategorías como dos listas separadas.
 * Version: 1.0
 * Author: DominioZero
 * Author URI: https://www.dominiozero.es
 *
 *
 */
 
 function dominiozero_product_subcategories_css() {
 
    /* register the stylesheet */
    wp_register_style( 'dominiozero_product_subcategories_css', plugins_url( 'css/style.css', __FILE__ ) );
     
    /* enqueue the stylsheet */
    wp_enqueue_style( 'dominiozero_product_subcategories_css' );
     
}
 
add_action( 'wp_enqueue_scripts', 'dominiozero_product_subcategories_css' );
 
 function dominiozero_product_subcategories( $args = array() ) {
     
$parentid = get_queried_object_id();
         
$args = array(
    'parent' => $parentid
);
 
$terms = get_terms( 'product_cat', $args );
 
if ( $terms ) {
         
    echo '<div class="wf-container woo-hover loading-effect-none iso-grid description-under-image content-align-left cart-btn-below-img dt-isotope cont-id-0 mobile-paddings iso-item-ready" data-padding="22px" data-cur-page="1" data-width="220px" data-columns="5" data-cont-id="0" style="position: relative; height: 569px;"><ul class="product-cats">';
     
        foreach ( $terms as $term ) {
                         
            echo '<li class="category">';                 
                     
                woocommerce_subcategory_thumbnail( $term );
                 
                echo '<h2>';
                    echo '<a href="' .  esc_url( get_term_link( $term ) ) . '" class="' . $term->slug . '">';
                        echo $term->name;
                    echo '</a>';
                echo '</h2>';
                                                                     
            echo '</li>';
                                                                     
 
    }
     
    echo '</ul></div>';
 
}
}
add_action( 'woocommerce_before_shop_loop', 'dominiozero_product_subcategories', 50 );